package top.r3944realms.eroticdungeongame.content.animation.type;

import org.jetbrains.annotations.Contract;
import org.jetbrains.annotations.NotNull;

public enum SeatAnimationType implements IAnimationType {
    CUFF_BED(0, "cuff_bed", "edg_cuff_bed")
    ;
    private final String typeName;
    private final String animationName;
    private final int animationId;
    SeatAnimationType(int animationId, String typeName, String animationName) {
        this.typeName = typeName;
        this.animationId = animationId;
        this.animationName = animationName;
    }

    @Override
    public String getTypeName() {
        return typeName;
    }

    @Contract(pure = true)
    @Override
    public @NotNull String getAnimationName() {
        return animationName;
    }

    @Override
    public int getAnimalId() {
        return animationId;
    }

}
